Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: nekohasekai
AuthorEmail: sekai@neko.services
SourceCode: https://github.com/SagerNet/SagerNet
IssueTracker: https://github.com/SagerNet/SagerNet/issues

AutoName: SagerNet

RepoType: git
Repo: https://github.com/SagerNet/SagerNet

Builds:
  - versionName: 0.1-rc17-x86
    versionCode: 57
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-x64
    versionCode: 58
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-arm
    versionCode: 59
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-arm64
    versionCode: 60
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-x86
    versionCode: 277
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-x64
    versionCode: 278
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-arm
    versionCode: 279
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-arm64
    versionCode: 280
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-x86
    versionCode: 282
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-x64
    versionCode: 283
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-arm
    versionCode: 284
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-arm64
    versionCode: 285
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.5-rc23
    versionCode: 590
    commit: 0.5-rc23
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.5-rc24
    versionCode: 595
    commit: a3c77c9f1a5bdced982c440679d5e8e4fbeb8c19
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.6-beta09
    versionCode: 635
    commit: c7b39544e1da792815d2c03fe8916d7d0287ec61
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta10
    versionCode: 640
    commit: 986ae04a9017a06f2faebfbff8afe71572564ea0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta11
    versionCode: 645
    commit: 8ca03ae1b3a28570ac6536672cd5969242a55ee8
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta12
    versionCode: 650
    commit: a5834b019b5d9f8e300ee9887f26f313b362ed6a
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta13
    versionCode: 655
    commit: 284112a60b2daf28d9b612be0d4d399e025519c4
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

AutoUpdateMode: Version
UpdateCheckMode: Tags ^\d.*
VercodeOperation: '%c * 5'
UpdateCheckData: sager.properties|VERSION_CODE=(\d+)||
CurrentVersion: 0.6-beta13
CurrentVersionCode: 655
